%define rname glipper

Name: gnome-applets-extra-%rname
Version: 1.0
Release: alt2
Summary: A simple Clipboardmanager for GNOME
License: GPL+
Group: Graphical desktop/GNOME
Url: http://sourceforge.net/projects/glipper/
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Provides: %rname = %version-%release
Obsoletes: %rname < %version-%release

Source: %rname-%version.tar.bz2

BuildRequires: gcc-c++ gtk-doc libGConf-devel libgtk+2-devel perl-XML-Parser python-module-pygnome-applet
BuildRequires: python-module-pygnome-bonobo python-module-pygnome-devel python-module-pygtk-devel python-modules-encodings

%description
Glipper is a simple Clipboardmanager for the GNOME Desktop Environment

%prep
%setup -q -n %rname-%version

%build
%configure

%make_build

%install
%make DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install %rname

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %rname
fi

%files -f %name.lang
%_sysconfdir/gconf/schemas/%rname.schemas
%_libdir/bonobo/servers/*.server
%_libdir/%rname
%python_sitelibdir/%rname
%_datadir/%rname
%dir %_datadir/gnome/help/%rname
%_datadir/gnome/help/%rname/C
%_datadir/icons/hicolor/*/apps/*

%changelog
* Sat Apr 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt2
- renamed to gnome-applets-extra-glipper

* Sat Apr 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.0-alt1
- initial release
